<?php
$infile = __DIR__.'/style.css';
$outfile = __DIR__.'/style.min.css';

if (is_file($infile) === true){
	$buf = file_get_contents($infile);
	$buf = mincss($buf);
	file_put_contents($outfile, $buf);
}

function mincss($c){
	$c = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $c);
	$c = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $c);
	$c = str_replace(': ', ':', $c);
	return $c;
}
?>

