<?php

//Execute CSS minimization script when logging out //


function bny_readfile($file){
	require_once(ABSPATH.'wp-admin/includes/file.php');
	$buf = '';
	if (is_file($file) === true){
		if(WP_Filesystem()){
			global $wp_filesystem;
			$buf = $wp_filesystem->get_contents($file);
		}
	}
	return $buf;
}

function bny_writefile($file, $text){
	require_once(ABSPATH.'wp-admin/includes/file.php');
	if(WP_Filesystem()){
		global $wp_filesystem;
		$wp_filesystem->put_contents($file, $text);
	}
}

function mincss($c){
    $c = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $c);
    $c = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $c);
    $c = str_replace(': ', ':', $c);
    return $c;
}

function exec_css_minimization() {
	$infile = get_template_directory() . '/style.css';
	$outfile = get_template_directory() . '/style.min.css';

	if (is_file($infile) === true){
		$buf = bny_readfile($infile);
		$buf = mincss($buf);
		bny_writefile($outfile, $buf);
	}
}
add_action('wp_logout', 'exec_css_minimization');

?>
